Subject: [http-auth] Last Call: <draft-ietf-httpauth-mutual-10.txt> (Mutual Authentication Protocol for HTTP) to Experimental RFC

From: The IESG <[email-masked]>
Date: Tue, 11 Oct 2016 11:30:31 -0700

The IESG has received a request from the Hypertext Transfer Protocol
Authentication WG (httpauth) to consider the following document:
- 'Mutual Authentication Protocol for HTTP'
  <draft-ietf-httpauth-mutual-10.txt> as Experimental RFC

The IESG plans to make a decision in the next few weeks, and solicits
final comments on this action. Please send substantive comments to the
[email-masked] mailing lists by 2016-10-25. Exceptionally, comments may be
sent to [email-masked] instead. In either case, please retain the
beginning of the Subject line to allow automated sorting.

Abstract

   This document specifies a mutual authentication scheme for the
   Hypertext Transfer Protocol (HTTP).  This scheme provides true mutual
   authentication between an HTTP client and an HTTP server using
   password-based authentication.  Unlike the Basic and Digest
   authentication schemes, the Mutual authentication scheme specified in
   this document assures the user that the server truly knows the user's
   encrypted password.

The file can be obtained via
https://datatracker.ietf.org/doc/draft-ietf-httpauth-mutual/

IESG discussion can be tracked via
https://datatracker.ietf.org/doc/draft-ietf-httpauth-mutual/ballot/

The following IPR Declarations may be related to this I-D:

   https://datatracker.ietf.org/ipr/906/
   https://datatracker.ietf.org/ipr/2220/

---

From: Kathleen Moriarty <[email-masked]>
Date: Thu, 27 Oct 2016 21:34:21 -0400

Forwarding to the httpauth working group.  I haven't seen a response on the
IANA review yet.

Thanks,
Kathleen

On Tue, Oct 25, 2016 at 2:33 PM, Sabrina Tanamal via RT <
[email-masked]> wrote:

> (BEGIN IANA COMMENTS)
>
> IESG/Authors/WG Chairs:
>
> The IANA Services Operator has completed its review of
> draft-ietf-httpauth-mutual-10.txt. If any part of this review is
> inaccurate, please let us know.
>
> We have a question about one of the actions requested in the IANA
> Considerations section of this document.
>
> Upon approval of this document, we understand that there are two registry
> actions to complete.
>
> First, a new registry is to be created called the HTTP Mutual
> authentication algorithms registry. We note that the registrations in this
> new registry will consist of a Token, a Description and a Reference.
>
> QUESTION -> Where should this new registry be located? Is it a new
> registry on the List of all IANA maintained protocol parameter registries
> or is it a subregistry of an existing registry? If it is a subregistry of
> an existing registry, in which registry will it be contained?
>
> We understand that the registry is to be managed through Expert Review as
> defined in RFC 5226.
>
> While this document provides no initial values for the new registry, we
> understand that another document ietf-httpauth-mutual-algo is dependent
> upon the actions in this IANA Considerations section being completed. When
> they are, the document ietf-httpauth-mutual-algo will provide new
> registrations for the new registry.
>
> Second, another new registry is to be created called the HTTP Mutual
> authentication host validation methods registry. We note that the
> registrations in this new registry will consist of a Token, a Description
> and a Reference.
>
> QUESTION -> Where should this new registry be located? Is it a new
> registry on the List of all IANA maintained protocol parameter registries
> or is it a subregistry of an existing registry? If it is a subregistry of
> an existing registry, in which registry will it be contained?
>
> We understand that the registry is to be managed through Expert Review as
> defined in RFC 5226.
>
> There are initial registrations in this new registry as follows:
>
> +----------------------+----------------------------+-------
> ---------------------+
> | Token | Description | Reference |
> +----------------------+----------------------------+-------
> ---------------------+
> | host | Host name verification | [ RFC-to-be Section 7 ] |
> | | only | |
> | tls-server-end-point | TLS certificate-based | [ RFC-to-be Section 7 ] |
> | tls-unique | TLS unique key-based | [ RFC-to-be Section 7 ] |
> +----------------------+----------------------------+-------
> ---------------------+
>
> We understand that these are the only actions required to be completed
> upon approval of this document.
>
> Note:  The actions requested in this document will not be completed until
> the document has been approved for publication as an RFC. This message is
> only to confirm what actions will be performed.
>
> Thank you,
>
> Sabrina Tanamal
> IANA Services Specialist
> PTI
>
> (END IANA COMMENTS)
>
>

-- 

Best regards,
Kathleen